<section class="newsletter colour">
  <div class="newsletter__container">
    <h1 class="newsletter__title colour">¿Quieres saber más?</h1>
    <h2 class="newsletter__subtitle colour">
      Adjunta tus datos y nos pondremos en contacto contigo
    </h2>
  </div>
  <form
    class="newsletter__form colour"
    (ngSubmit)="onSubmit()"
    [formGroup]="newsletterForm"
  >
    <fieldset class= "fieldset-style">
      <label class="label-style" for="name">Nombre:</label>
      <input class="input-style" type="text" id="name" formControlName="name" />
      <div
        *ngIf="
          (!newsletterForm.get('name').valid &&
            newsletterForm.get('name').dirty) ||
          submitted
        "
      >
        <p class="error">El nombre es incorrecto</p>
      </div>
    </fieldset>
    <fieldset class= "fieldset-style">
      <label class="label-style" for="mail">Email:</label>
      <input class="input-style" type="text" id="mail" formControlName="mail" />
      <div
        *ngIf="
          (!newsletterForm.get('mail').valid &&
            newsletterForm.get('mail').dirty) ||
          submitted
        "
      >
        <p class="error">El mail es incorrecto</p>
      </div>
    </fieldset>
    <fieldset class= "fieldset-style">
      <label class="label-style" for="phone">Teléfono:</label>
      <input class="input-style" type="text" id="phone" formControlName="phone" />
      <div
        *ngIf="
          (!newsletterForm.get('phone').valid &&
            newsletterForm.get('phone').dirty) ||
          submitted
        "
      >
        <p class="error">El teléfono es incorrecto</p>
      </div>
    </fieldset>
    <fieldset class= "fieldset-style">
      <label class="label-style" for="web">Tipo de web:</label>
      <input class="input-style" type="text" id="web" formControlName="web" />
      <div
        *ngIf="
          (!newsletterForm.get('web').valid &&
            newsletterForm.get('web').dirty) ||
          submitted
        "
      >
        <p class="error">opción incorrecta</p>
      </div>
    </fieldset>
    <button class="submit" type="submit" [disabled]="!newsletterForm.valid">Enviar</button>
  </form>
</section>
